IBM Support

WebSphere Portal V6.1.0.1 hardware and software requirements - i5/OS

Product Documentation


Abstract

IBM® WebSphere® Portal V6.1.0.1 hardware and software requirements on an i5/OS® operating system

Content

WebSphere Portal V6.1.0.1 hardware and software requirements




WebSphere Portal Server Version 6.1.0.1 (i5/OS)

This page describes the minimum product levels that need to be installed before opening a problem report with IBM WebSphere Portal Technical Support. The software versions and any maintenance levels listed on this page have been explicitly verified as working.

EARLIER LEVEL OF A LISTED SOFTWARE: Software versions at a lower level than those noted on this page are unsupported. LDAP software at an earlier level is considered untested and best effort support only. For more details and exceptions, refer to the WebSphere Portal 6.1.x Support Statement. Also see the listing of software explicitly not supported for use with WebSphere Portal 6.1.x in WebSphere Portal Support Statement Addendum - Unsupported Products (#7012957).

LATER LEVEL OF A LISTED SOFTWARE: Because other products frequently ship fixes, updates, and new releases, testing every configuration is not possible. In general, you can install and run with updates to supported products if those updates are compatible with the tested versions. For more details and exceptions, refer to the WebSphere Portal 6.1.x Support Statement. Also see the listing of software explicitly not supported for use with WebSphere Portal 6.1.x in WebSphere Portal Support Statement Addendum - Unsupported Products (#7012957).

UNLISTED SOFTWARE: Software not listed on this page at any level is unsupported. LDAP software not listed is considered untested and best effort support only. For more details and exceptions, refer to the WebSphere Portal 6.1.x Support Statement. Also see the listing of software explicitly not supported for use with WebSphere Portal 6.1.x in WebSphere Portal Support Statement Addendum - Unsupported Products (#7012957).



Operating systems



i5/OS hardware requirements
  • Minimum 5.0 GB free disk space for installation for WebSphere Portal (See Required detail1c)
  • Recent System i5 and eServer i5 models with at least 3800 CPW.
  • System i model 820 with processor feature 2395
  • Physical memory: 5 GB at a minimum. Production environments and environments featuring multiple profiles will require more memory.

  • Note: The amount of memory assigned to the *INTERACT pool should be set at a minimum of well over 1 GB and a maximum of 100%. If the *INTERACT pool cannot be given enough memory, then the database tasks have to be started with SBMJOB so that they run in the *BASE pool.
  • CD-ROM drive



JavaTM
The WebSphere-supplied Java 2 SDK is required for both the run time and any remote Java clients.

For i5/OS V5R4:
  • Java Developer Kit 5.0 64-bit Product 5722JV1, option 7 with latest Java group PTF applied
  • J2SE 5.0 32-bit Product 5722JV1, option 8 with latest Java group PTF applied
  • Java Developer Kit 6.0 64-bit for i5/OS V5R4 Product 5722JV1, option 10 with latest Java group PTF applied
  • J2SE 6.0 32-bit for i5/OS V5R4 Product 5722JV1, option 11 with latest Java group PTF applied

For i5/OS V6R1:
  • Java Developer Kit 5.0 54-bit Product 5761JV1, option 7 with latest Java group PTF applied
  • J2SE 5.0 32-bit Product 5761JV1, option 8 with latest Java group PTF applied
  • Java Developer Kit 6.0 64-bit for IBM i V6R1 Product 5761JV1, option 10 with latest Java group PTF applied
  • J2SE 6.0 32-bit for i5/OS V6R1 Product 5761JV1, option 11 with latest Java group PTF applied
  • J2SE 6.0 64-bit for i5/OS V6R1 Product 5761JV1, option 12 with latest Java group PTF applied



Application Servers
  • WebSphere Application Server - Base V7.0, Network Deployment V7.0, Base V6.1.0.19, Network Deployment V6.1.0.19, with optional WebSphere Process Server V6.1.2 or V6.1.0.1 (See Required detail2a 2b)



Databases



Java Database Connectivity (JDBC) Drivers
  • IBM Toolbox for Java/JTOpen JDBC Driver 4.8 (type 4)
  • DB2 Driver for JDBC and SQLJ 3.1 (type 2/4)
  • DB2 Universal JDBC Driver from DB2 for z/OS (type 4)



Web servers




Web browsers
(required for administration/configuration, sample program execution and launch pad. There is no restriction nor certification of Web browsers on clients that connect the server to display content)

  • Microsoft Internet Explorer 7.0
  • Microsoft Internet Explorer 6.0 SP2 on Windows XP and Windows 2003
  • Microsoft Internet Explorer 6.0 SP1 on Windows 2000
  • Firefox V1.5.0.7, 2.0, 3.0
  • Apple Safari 3.1 or higher (See Required detail6a)
  • Opera 9.52 (See Required detail6b)



LDAP servers

  • IBM Directory Server for iSeries V5R4
  • IBM Lotus Domino Enterprise Server 8.5, 8.0.2, 8.0.1, 8.0, 7.0.3, 7.0.2, 7.0.1 (See Required detail7a)
  • IBM Tivoli® Directory Server 6.0 and 6.1 (See Required detail7b)
  • IBM Tivoli Directory Server for i5/OS V6R1
  • IBM z/OS® Security Server 1.6 and 1.7
  • IBM z/OS.e Security Server 1.6 and 1.7
  • Novell eDirectory 8.7.3 or 8.8
  • Sun Java System Directory Server 6.2, 6.1, and 6
  • Windows Active Directory 2008 excluding Application Mode
  • Windows Active Directory 2000 and 2003 including Application Mode



Software for collaboration -Domino and Extended Products (optional)
  • IBM Lotus Domino Enterprise Server 8.5, 8.0.2, 8.0.1, 8.0, 7.0.3, 7.0.2, 7.0.1, 6.5.6
  • IBM Lotus Sametime® 8, 7.5.1 & 7.5
  • IBM Lotus Quickr 8.1



Software for content management (optional)
  • IBM Lotus Web Content Management 6.1.0.1
  • Document Conversion Services
  • Portal Personalization



External Security software (optional)
  • IBM Tivoli Access Manager for e-business V6.1 or V6.0, for trust association interceptor and Java Authorization Contract for Containers (JACC) (See Required detail9)
  • CA SiteMinder V6.0



Software for portlet development
  • IBM Rational® Application Developer Version 7.5 & 7.0.0.6 (plugin for UTE)
  • IBM WebSphere Portlet Factory 6.1



Other supported software (optional)
  • WebSphere Commerce Server

Related information


Detailed system requirements
WebSphere Portal Information Centers and more
Support Statement

Top of page

See disclaimer.



Required details:

1a. The recommended system level is 5722SS1 i5/OS V5R4 with cumulative PTF group SF99610 level 8057 or later, and IBM DB2 for i5/OS PTF group SF99504 level 15 or later. The IBM DB2 for i5/OS database is part of the operating system.

1b. The recommended system level is 5722SS1 i5/OS V6R1 with cumulative PTF group SF99610 level 8064 or later, and IBM DB2 for i5/OS PTF group SF99601 level 3 or later. The IBM DB2 for i5/OS database is part of the operating system. WebSphere Process Server is not supported.

1c. The amount of memory assigned to the *INTERACT pool should be set at a minimum of well over 1 GB and a maximum of 100%. If the *INTERACT pool cannot be given enough memory, then the database tasks have to be started with SBMJOB so that they run in the *BASE pool.

2a. Refer to Required WebSphere Interim fixes for WebSphere Portal Version 6.1.0.1 for the complete list of fixes required for WebSphere Application Server.

2b. WebSphere Process Server does not currently support WebSphere Application Server V7. Refer to WebSphere Process Server system requirements before using it.

3. V5.4: Supports 64 bit JVM with cumulative PTF group SF99291 (level 13 or later).
The following program temporary fixes are required to be installed on DB2 for i5/OS V5R4:
- Cumulative PTF group SF99610 level 8057 or higher
- PTF SI31257
- PTF SI31160
Here are three commands you can issue to determine if your system's software is at the recommended level:
- GO LICPGM will display all the installed licensed programs
- wrkptfgrp will display and allow you to work with all installed PTF groups
- dspptf will display PTF status; for example, temporarily or permanently applied


3a. Supports 64 bit JVM with cumulative PTF group SF99562 (level 2 or later).
The following program temporary fixes are required to be installed on DB2 for i5/OS V6R1:
- Cumulative PTF group SF99610 level 8064 or higher
- PTF SI31313
- PTF SI31302
- PTF SI31344
- PTF SI31336
Here are three commands you can issue to determine if your system's software is at the recommended level:
- GO LICPGM will display all the installed licensed programs
- wrkptfgrp will display and allow you to work with all installed PTF groups
- dspptf will display PTF status; for example, temporarily or permanently applied


5a. Apache Server 2.0.5.9 includes CERT Advisory CA-2002-17. Apache 2.2 is supported with WebSphere Application Server 7.0 only.

5b. HTTP Server 7.0 is supported with WebSphere Application Server 7.0 only.

5c. HTTP Server for i5/OS is provided natively on System i5 and is not bundled with or installed by WebSphere Portal. For V5R4, supported group PTF is SF99114 level 13; for V6R1, supported group PTF is SF99115 level 1. The license program number is 5722DG1. Issue the GO LICPGM to display all the installed licensed programs.

5d. To use Lotus Domino Version 7.0 with WebSphere Application Server 6.1, you must install the Web Server plug-in for Lotus Domino Server Version 6 which is a part of the Web Server plug-in for WebSphere Application Server 6.1.

6a. See Limitations on Safari Web browser.

6b. See Limitations on Opera Web browser.

7a. For 7.0.2 and 7.0.1: Apply SPR KLIN6LRTHJ to be able to return Groups and Users by direct lookup. Turkish users should use version 7.0.3 or later.

7b. Add APAR IO02714 available at IBM Support.

9. When using Tivoli Access Manager 6.0 for authorization or integrated user provisioning with WebSphere Portal, the Tivoli Access Manager AMJRTE component must be at the Version 5.1 fix pack 2 level or later. This version of AMJRTE component is automatically installed with WebSphere Application Server Version 5.1.1 or later, but must still be configured to work with WebSphere Portal .

Top of page

Disclaimer


IBM reserves the right to change specifications and other product information without prior notice. This publication could include technical inaccuracies or typographical errors. References herein to IBM products and services do not imply that IBM intends to make them available in other countries. IBM PROVIDES THIS PUBLICATION AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Some jurisdictions do not allow disclaimer of express or implied warranties in certain transactions, therefore, this statement may not apply to you.

Top of page

[{"Product":{"code":"SS8KYD","label":"WebSphere Portal End of Support Products"},"Business Unit":{"code":"BU055","label":"Cognitive Applications"},"Component":"--","Platform":[{"code":"PF012","label":"IBM i"}],"Version":"6.1.0.1","Edition":"Enable;Extend;Server","Line of Business":{"code":"","label":""}}]

Document Information

Modified date:
17 June 2018

UID

swg27013480